Installation on Ubuntu

29 Mar, 11:44 PM
3,747 Views
No Forum Badges

When I try to install WebRation it says java is not installed

"A Java Runtime Environment (JRE) or Java Development Kit (JDK)
must be available in order to run WebRatio. No Java virtual machine
was found after searching the following locations:
/home/shieldie/Programs/WebRatio/jre/bin/java
java in your current PATH"

I have installed java, and when I use a terminal from the location WebRatio was downloaded to (/home/shieldie/Programs/WebRatio) the java command is available.

Do I need to set an environment variable or something like that?

I am no longer a programmer - that is why I am trying out WebRatio.

It shouldn't be this difficult.

HELP

 
x 0
Follow
Answer Answer at this question and get points!
No Forum Badges

Sorry

Made a mistake

Java is not available

Do I need to add the java directory to my PATH or whatever?

 
x 0
No Forum Badges

I've got java installed - Java 14 from Oracle

Now I get the following error message:

Java HotSpot(TM) 64-Bit Server VM warning: Ignoring option UseConcMarkSweepGC; support was removed in 14.0
Unrecognized VM option 'UseFastAccessorMethods'
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

 

Anyone got any ideas on how to resolve this?

 

 
x 0
No Forum Badges

I tried hacking (I don't like having to do this).

I removed the line below from the WebRatio.ini file

-XX:+UseFastAccessorMethods

 

Now I get a load of errors including

 

!SESSION 2020-03-30 15:56:57.578 -----------------------------------------------
eclipse.buildId=unknown
java.version=14
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_GB
Command-line arguments:  -os linux -ws gtk -arch x86_64

!ENTRY com.webratio.bpm.core 4 0 2020-03-30 15:57:01.192
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: com.webratio.bpm.core [13]
  Unresolved requirement: Require-Bundle: com.webratio.commons.mf.model
    -> Bundle-SymbolicName: com.webratio.commons.mf.model; bundle-version="8.10.5.201910082137"; singleton:="true"
       com.webratio.commons.mf.model [98]
         Unresolved requirement: Require-Bundle: com.webratio.commons.transform; visibility:="reexport"
           -> Bundle-SymbolicName: com.webratio.commons.transform; bundle-version="8.10.5.201910082137"
              com.webratio.commons.transform [105]
                Unresolved requirement: Require-Bundle: com.webratio.commons.dom4j
                  -> Bundle-SymbolicName: com.webratio.commons.dom4j; bundle-version="1.0.0.201810081230"
                     com.webratio.commons.dom4j [28]
                       Unresolved requirement: Require-Bundle: com.webratio.commons.lib.jackson2
                         -> Bundle-SymbolicName: com.webratio.commons.lib.jackson2; bundle-version="2.7.1"
                            com.webratio.commons.lib.jackson2 [62]
                              Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.7))"

    at org.eclipse.osgi.container.Module.start(Module.java:434)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

 

The last one before the installer crashes being

!ENTRY org.eclipse.osgi 4 0 2020-03-30 15:57:17.588
!MESSAGE Application error
!STACK 1
java.lang.NoClassDefFoundError: org/w3c/dom/stylesheets/StyleSheet
    at org.eclipse.e4.ui.css.swt.internal.theme.ThemeEngineManager.getCSSSWTEngine(ThemeEngineManager.java:41)
    at org.eclipse.e4.ui.css.swt.internal.theme.ThemeEngineManager.getEngineForDisplay(ThemeEngineManager.java:30)
    at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.createThemeEngine(PartRenderingEngine.java:1428)
    at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.initializeStyling(PartRenderingEngine.java:1281)
    at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$9.run(PartRenderingEngine.java:1036)
    at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
    at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1032)
    at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:148)
    at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:636)
    at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
    at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:579)
    at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:150)
    at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:135)
    at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
    at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.base/java.lang.reflect.Method.invoke(Method.java:564)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1465)
    at org.eclipse.equinox.launcher.Main.main(Main.java:1438)
Caused by: java.lang.ClassNotFoundException: org.w3c.dom.stylesheets.StyleSheet cannot be found by org.eclipse.e4.ui.css.core_0.10.100.v20140424-2042
    at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:432)
    at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:345)
    at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:337)
    at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:160)
    at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:522)
    ... 26 more

 

 
x 0
No Forum Badges

I tried reverting to the previous version of Java (13)

and got this when I tried to run the installer

Java HotSpot(TM) 64-Bit Server VM warning: Option UseConcMarkSweepGC was deprecated in version 9.0 and will likely be removed in a future release.
Unrecognized VM option 'UseFastAccessorMethods'
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

 

And the following...

 

JVM terminated. Exit code=1
/usr/lib/jvm/jdk-13.0.2/bin/java
-XX:+UseConcMarkSweepGC
-XX:+UseFastAccessorMethods
-Xms40m
-Xmx512m
-XX:MetaspaceSize=64m
-XX:MaxMetaspaceSize=256m
-Dosgi.requiredJavaVersion=1.8
-Dorg.apache.tools.ant.ProjectHelper=org.apache.tools.ant.helper.ProjectHelper2
-XX:+UseCompressedOops
-jar /home/shieldie/Projects/WebRatio//plugins/org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar
-os linux
-ws gtk
-arch x86_64
-showsplash
-launcher /home/shieldie/Projects/WebRatio/WebRatio
-name WebRatio
--launcher.library /home/shieldie/Projects/WebRatio//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20140603-1326/eclipse_1605.so
-startup /home/shieldie/Projects/WebRatio//plugins/org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar
--launcher.overrideVmargs
-exitdata 21
-vm /usr/lib/jvm/jdk-13.0.2/bin/java
-vmargs
-XX:+UseConcMarkSweepGC
-XX:+UseFastAccessorMethods
-Xms40m
-Xmx512m
-XX:MetaspaceSize=64m
-XX:MaxMetaspaceSize=256m
-Dosgi.requiredJavaVersion=1.8
-Dorg.apache.tools.ant.ProjectHelper=org.apache.tools.ant.helper.ProjectHelper2
-XX:+UseCompressedOops
-jar /home/shieldie/Projects/WebRatio//plugins/org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar

 
x 0
No Forum Badges

I sorted the problem by going back to java 1.8.

I've wasted a lot of time on this - unncessarily, in my view.

Too bad. Onwards.

 
x 0
Forum Hero - Level 9

Hi James,

as you know now this kind of behavior depends on the java version in use. Please refer to the "System Requirements" section of the Release Notes:

WebRatio 7 IDE is compatible with java 7
https://my.webratio.com/learn/learningobject/webratio-72-release-notes-v-72

WebRatio 8 IDE is compatible with java 8
https://my.webratio.com/learn/learningobject/webratio-mobile-platform-810-release-notes-v-80

Other java versions are not supported to run WebRatio IDE.

You can have more than one java version available on your machine. To set the specific one to run WebRatio you can find topics on this forum.

 
x 0
Answer at this question and get points!